#!/bin/sh

if [ $# -lt 1 ]
then
        echo "Usage: $0 <subscription ID>

Provision Lync Organization resource in a subscription"
        exit
fi

subscr_id=$1

echo '<methodCall><methodName>pem.APS.getSubscriptionToken</methodName><params><param><value><struct><member><name>subscription_id</name><value><i4>'$subscr_id'</i4></value></member></struct></value></param></params></methodCall>' > /tmp/getSubscrToken$subscr_id.xml

echo '{ "aps": { "type": "http://www.parallels.com/LyncHPv2/organization" } }' > /tmp/context.json

res=`curl -X POST -d@/tmp/getSubscrToken$subscr_id.xml http://localhost:8440/RPC2 | tr '\n' ' '`

echo
if [ "xx$res" = "xx" ]
then
        echo "No response from POA on pem.APS.getSubscriptionToken call!"
        exit 1
fi
if echo $res | grep faultCode > /dev/null
then
        echo "Failed to receive Token for subscription $subscr_id"
        echo "POA Response: $res"
        exit 1
fi

token=`echo $res | sed -e 's#.*<name>aps_token</name><value><string>##' -e 's#</string>.*##'`

res=`curl -H "APS-Token: $token" -k -X POST -d@/tmp/context.json https://localhost:6308/aps/2/resources/`

echo
if echo $res | grep 'aps:ready' > /dev/null
then
        echo "Resource in Subscription $subscr_id provisoioned successfully!"
else
        echo "Provision Falure or unexpected status"
        echo "Response: $res"
fi


